[tool.poetry]
name = "ahosking-api"
version = "0.1.0"
description = ""
authors = ["Alexander Hosking <alexander@ahosking.com>"]
readme = "README.md"
packages = [{include = "ahosking_api"}]

[tool.poetry.dependencies]
python = "^3.10"
Django = "^4.2.3"
django-environ = "^0.10.0"
django-tailwind = "^3.6.0"

[tool.poetry.group.dev.dependencies]
django-tailwind = {extras = ["reload"], version = "^3.6.0"}
django-browser-reload = "^1.10.0"
djangorestframework = "^3.14.0"
django-filter = "^23.2"
psycopg2-binary = "^2.9.6"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
